#
## Networking via systemd-networkd
#

include:
  - systemd

ifupdown:
  pkg.purged

ifupdown2:
  pkg.purged

/etc/network/ifupdown2:
  file.absent

clean /etc/network/interfaces.d/:
  file.directory:
    - name: /etc/network/interfaces.d
    - user: root
    - group: root
    - mode: '0755'
    - clean: true

systemd-networkd.service:
  service.running:
    - enable: true
