systemd_pkgs:
  pkg.latest:
{%- if grains['osfinger'] == "Debian-9" %}
    - fromrepo: stretch-backports
    - require:
      - pkgrepo: stretch-backports
{%- elif  grains['osfinger'] == "Debian-10" %}
    - fromrepo: buster-backports
    - require:
      - pkgrepo: buster-backports
{%- endif %}
    - pkgs:
      - systemd
      - libpam-systemd

dbus:
  pkg.installed

# systemctl daemon-reload if anything changed
service.systemctl_reload:
  module.run:
    - onchanges:
      - file: /etc/systemd/system/*

include:
  - apt
  - systemd.coredump
